Bug 433571 - Review Request: php-pear-Structures-DataGrid-Renderer-CSV - Renders CSV strings/files
Review Request: php-pear-Structures-DataGrid-Renderer-CSV - Renders CSV strin...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-19 20:16 EST by Brad Walker
Modified: 2008-03-26 17:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 17:15:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Walker 2008-02-19 20:16:07 EST
Spec URL: http://rpm.bradmwalker.com/SPECS/php-pear-Structures-DataGrid-Renderer-CSV.spec
SRPM URL: http://rpm.bradmwalker.com/SRPMS/php-pear-Structures-DataGrid-Renderer-CSV-0.1.4-1.fc9.src.rpm
Description: This is a Renderer driver for Structures_DataGrid that generates a CSV string.

A much better interface for generating CSV files than using fputcsv().
Comment 1 Christopher Stone 2008-02-24 17:51:35 EST
==== REVIEW CHECKLIST ====
- rpmlint output
php-pear-Structures-DataGrid-Renderer-CSV.noarch: W: no-documentation
- package named according to package naming guidelines
- spec filename matches %{name}
- package meets packaging guidelines
- licensed with fedora approved license
- license tag matches actual license
- license not provided in source package
- spec written in American English
- spec file legible
- sources match upstream
69f37de4a299d09babed50d0e8f1caab  Structures_DataGrid_Renderer_CSV-0.1.4.tgz
69f37de4a299d09babed50d0e8f1caab 
../SOURCES/Structures_DataGrid_Renderer_CSV-0.1.4.tgz
- successfully compiles and builds on F-8 x86_64
- All build dependencies listed in BR
- no locales
- no shared libraries
- package is not relocatable
- package requires necessary packages for directories it uses
- no duplicates in %files
- file permissions set properly
- package contains proper %clean section
- macro usage is consistent
- package contains code
- no large documentation
- %doc files do not affect runtime
- no header files
- no static libraries
- no pkgconfig files
- no libraries with suffixes
- no devel subpackage
- no libtool archives
- not a GUI application
- package does not own files or directories owned by other packages
- buildroot properly prepped for %install
- all filenames valid UTF-8

*** APPROVED ***

Note You need to log in before you can comment on or make changes to this bug.